### Method

# Gtk GestureStylus get_device_tool

#### Declaration [src]

    GdkDeviceTool*
    gtk_gesture_stylus_get_device_tool (
      GtkGestureStylus* gesture
    )

#### Description [src]

Returns the `GdkDeviceTool` currently driving input through this gesture.

This function must be called from the handler of one of the `GtkGestureStylus::down`, `GtkGestureStylus::motion`, `GtkGestureStylus::up` or `GtkGestureStylus::proximity` signals.

#### Return value

Returns: | `GdkDeviceTool*`
| The current stylus tool.
| The data is owned by the instance.
| The return value can be `NULL`.